Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.credentials
Interface PKICredentialMapReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  PKICredentialMapEditorMBean, PKICredentialMapperMBean

public interface PKICredentialMapReaderMBean
extends ListerMBean

Provides a set of methods for reading a credential map that matches users and resources to aliases and their corresponding passwords that can then be used to retrieve key information or public certificate information from the configured keystores.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Certificate` | `getCertificate(String keystoreAlias)` For a certificate entry this method will return the certificate corresponding to the alias.
`String` | `getCurrentCredAction(String cursor)` Gets an credential action from a list that has been returned from the `listMappings` or the `listMappingsByPattern()` method.
`String` | `getCurrentCredential(String cursor)` Gets the keystore alias from a credentials map that has been returned from the `listMappings` or the `listMappingsByPattern()` method.
`String` | `getCurrentInitiatorName(String cursor)` Gets an username from a list that has been returned from the `listMappings` or the `listMappingsByPattern()` method.
`String` | `getCurrentResourceId(String cursor)` Gets the current resource id from a list that has been returned from the and `listMappingsByPattern()` method.
`String` | `getKeystoreAlias(String resourceId, String userName, boolean isInitiatorUserName, String credAction, String credType)` Gets the keystore alias that is mapped to a username for a particular resource and credential action.
`boolean` | `isInitiatorUserName(String cursor)` Returns whether the initiator name from a list that has been returned from the `listMappings` or the `listMappingsByPattern()`method is a user name or a group name.
`String[]` | `listAllCertEntryAliases()` Returns a list of all the public certificate aliases currently configured in the keystore.
`String[]` | `listAllKeypairEntryAliases()` Returns a list of all the key pair aliases that currently configured in the keystore.
`String` | `listMappings(String resourceId, String credType)` Gets a list of usernames, credential actions, keystore aliases and their passwords.
`String` | `listMappingsByPattern(String resourceIdPattern, int maxToReturn, String credType)` Gets a list of all the configured credential mappings.

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getCertificate

    public Certificate getCertificate(String keystoreAlias)
                               throws weblogic.management.utils.NotFoundException

  For a certificate entry this method will return the certificate corresponding to the alias. For a keyentry it will return the first Certificate entry in a CertificateChain.

  Parameters:
    `keystoreAlias` - - The keystore alias.
  Throws:
    `weblogic.management.utils.NotFoundException`

### getCurrentCredAction

    public String getCurrentCredAction(String cursor)
                                throws weblogic.management.utils.InvalidCursorException

  Gets an credential action from a list that has been returned from the `listMappings` or the `listMappingsByPattern()` method. This method returns the credential action that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method or the `listMappingsByPattern`.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### getCurrentCredential

    public String getCurrentCredential(String cursor)
                                throws weblogic.management.utils.InvalidCursorException

  Gets the keystore alias from a credentials map that has been returned from the `listMappings` or the `listMappingsByPattern()` method. This method returns the keystore alias that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` or the `listMappingsByPattern` method.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### getCurrentInitiatorName

    public String getCurrentInitiatorName(String cursor)
                                   throws weblogic.management.utils.InvalidCursorException

  Gets an username from a list that has been returned from the `listMappings` or the `listMappingsByPattern()` method. This method returns the username that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method or the `listMappingsByPattern`.
  Returns:
    Returns the username.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### getCurrentResourceId

    public String getCurrentResourceId(String cursor)
                                throws weblogic.management.utils.InvalidCursorException

  Gets the current resource id from a list that has been returned from the and `listMappingsByPattern()` method. This method returns the resource id that corresponds to current location in the list.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappingsByPattern` method.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### getKeystoreAlias

    public String getKeystoreAlias(String resourceId,
                                   String userName,
                                   boolean isInitiatorUserName,
                                   String credAction,
                                   String credType)
                            throws weblogic.management.utils.NotFoundException

  Gets the keystore alias that is mapped to a username for a particular resource and credential action.

  Parameters:
    `resourceId` - - The resource id that is used to map user names to keystore alias and password. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.
    `userName` - - The username that is mapped to the alias and password.
    `isInitiatorUserName` - - Set true if the initiator name passed in is the username. False otherwise.
    `credAction` - - The credential action for which the mapping is created for.
    `credType` - - The credential type.
  Returns:
    The keystore Alias corresponding to the resourceId and username.
  Throws:
    `weblogic.management.utils.NotFoundException` - - This exception is thrown if the keystore alias is not found.

### isInitiatorUserName

    public boolean isInitiatorUserName(String cursor)
                                throws weblogic.management.utils.InvalidCursorException

  Returns whether the initiator name from a list that has been returned from the `listMappings` or the `listMappingsByPattern()`method is a user name or a group name. Method returns true if the username returned by the getCurrentInitiatorName is a user name. If the initiator name returned is a Group name this method returns false.

  Parameters:
    `cursor` - - The cursor that has been returned from the `listMappings` method or the `listMappingsByPattern`.
  Throws:
    `weblogic.management.utils.InvalidCursorException`

### listAllCertEntryAliases

    public String[] listAllCertEntryAliases()
                                     throws weblogic.management.utils.NotFoundException

  Returns a list of all the public certificate aliases currently configured in the keystore. Console can call this method to display a list of all possible certificate aliases.

  Throws:
    `weblogic.management.utils.NotFoundException`

### listAllKeypairEntryAliases

    public String[] listAllKeypairEntryAliases()
                                        throws weblogic.management.utils.NotFoundException

  Returns a list of all the key pair aliases that currently configured in the keystore. Console can call this method to display a list of all possible keypair aliases.

  Throws:
    `weblogic.management.utils.NotFoundException`

### listMappings

    public String listMappings(String resourceId,
                               String credType)

  Gets a list of usernames, credential actions, keystore aliases and their passwords. Returns a cursor as a string. Use the `getCurrentUserName()`,`getCurrentCredential()`, `getCurrentCredAction()` methods to get the username, keystore alias and credential action for the current item in the list.

  Parameters:
    `resourceId` - - the resource id that the credential mappings are created for. A resource object such as `weblogic.security.service.ResourceManager` assigns IDs to external sources.

### listMappingsByPattern

    public String listMappingsByPattern(String resourceIdPattern,
                                        int maxToReturn,
                                        String credType)

  Gets a list of all the configured credential mappings. Returns a cursor as a string. Use the `getCurrentUserName()`,`getCurrentCredAction()`, `getCurrentResourceId()`, `getCurrentCredential()` methods to get the username, credential action, resource id and keystore alias for the current item in the list.

  Parameters:
    `resourceIdPattern` - - the resource id pattern to filter the records to be returned. If you pass null or * the method will not filter and return all records.
    `maxToReturn` - - The maximum number of records to return
    `credType` - - The credential type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD